Error in The Perfect Setup - Ubuntu Feisty Fawn (7.04 Server)

Discussion in 'Installation/Configuration' started by Stack A Brown, May 31, 2007.

  1. Stack A Brown

    Stack A Brown New Member

    I followed step by step the howto The Perfect Setup - Ubuntu Feisty Fawn (Ubuntu 7.04), and the step 9 say error
    Code:
    Package linux-kernel-headers is a virtual package provided by:
      [COLOR="Red"][B]linux-libc-dev 2.6.20-16.28[/B][/COLOR]
    You should explicitly select one to install.
    E: Package linux-kernel-headers has no installation candidate
    Code:
    login as: root
    root@192.168.23.202's password:
    Last login: Thu May 31 15:44:37 2007
    Linux server.indmex.com.mx 2.6.20-15-server #2 SMP Sun Apr 15 07:41:34 UTC 2007 i686
    
    The programs included with the Ubuntu system are free software;
    the exact distribution terms for each program are described in the
    individual files in /usr/share/doc/*/copyright.
    
    Ubuntu comes with ABSOLUTELY NO WARRANTY, to the extent permitted by
    applicable law.
    root@server:~# vi /etc/apt/sources.list
    root@server:~# vi /etc/apt/sources.list
    root@server:~# apt-get update
    Get:1 http://security.ubuntu.com feisty-security Release.gpg [191B]
    Ign http://security.ubuntu.com feisty-security/main Translation-en_US
    Get:2 http://us.archive.ubuntu.com feisty Release.gpg [191B]
    Ign http://us.archive.ubuntu.com feisty/main Translation-en_US
    Ign http://security.ubuntu.com feisty-security/restricted Translation-en_US
    Ign http://security.ubuntu.com feisty-security/universe Translation-en_US
    Ign http://security.ubuntu.com feisty-security/multiverse Translation-en_US
    Ign http://us.archive.ubuntu.com feisty/restricted Translation-en_US
    Ign http://us.archive.ubuntu.com feisty/universe Translation-en_US
    Ign http://us.archive.ubuntu.com feisty/multiverse Translation-en_US
    Get:3 http://us.archive.ubuntu.com feisty-updates Release.gpg [191B]
    Ign http://us.archive.ubuntu.com feisty-updates/main Translation-en_US
    Ign http://us.archive.ubuntu.com feisty-updates/restricted Translation-en_US
    Hit http://security.ubuntu.com feisty-security Release
    Hit http://us.archive.ubuntu.com feisty Release
    Hit http://us.archive.ubuntu.com feisty-updates Release
    Hit http://security.ubuntu.com feisty-security/main Packages
    Hit http://us.archive.ubuntu.com feisty/main Packages
    Hit http://security.ubuntu.com feisty-security/restricted Packages
    Hit http://us.archive.ubuntu.com feisty/restricted Packages
    Hit http://security.ubuntu.com feisty-security/main Sources
    Hit http://security.ubuntu.com feisty-security/restricted Sources
    Hit http://security.ubuntu.com feisty-security/universe Packages
    Hit http://security.ubuntu.com feisty-security/universe Sources
    Hit http://security.ubuntu.com feisty-security/multiverse Packages
    Hit http://security.ubuntu.com feisty-security/multiverse Sources
    Hit http://us.archive.ubuntu.com feisty/main Sources
    Hit http://us.archive.ubuntu.com feisty/restricted Sources
    Hit http://us.archive.ubuntu.com feisty/universe Packages
    Hit http://us.archive.ubuntu.com feisty/universe Sources
    Hit http://us.archive.ubuntu.com feisty/multiverse Packages
    Hit http://us.archive.ubuntu.com feisty/multiverse Sources
    Hit http://us.archive.ubuntu.com feisty-updates/main Packages
    Hit http://us.archive.ubuntu.com feisty-updates/restricted Packages
    Hit http://us.archive.ubuntu.com feisty-updates/main Sources
    Hit http://us.archive.ubuntu.com feisty-updates/restricted Sources
    Fetched 3B in 2s (1B/s)
    Reading package lists... Done
    root@server:~# apt-get upgrade
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages have been kept back:
      linux-image-server linux-server
    The following packages will be upgraded:
      python python-minimal python2.5 python2.5-minimal tzdata update-manager-core vim-common vim-tiny
    8 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
    Need to get 5472kB of archives.
    After unpacking 24.6kB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Get:1 http://security.ubuntu.com feisty-security/main vim-tiny 1:7.0-164+1ubuntu7.1 [537kB]
    Get:2 http://us.archive.ubuntu.com feisty-updates/main python2.5 2.5.1-0ubuntu1 [3088kB]
    Get:3 http://security.ubuntu.com feisty-security/main vim-common 1:7.0-164+1ubuntu7.1 [186kB]
    Get:4 http://us.archive.ubuntu.com feisty-updates/main python2.5-minimal 2.5.1-0ubuntu1 [1168kB]
    Get:5 http://us.archive.ubuntu.com feisty-updates/main python 2.5.1-0ubuntu3 [141kB]
    Get:6 http://us.archive.ubuntu.com feisty-updates/main python-minimal 2.5.1-0ubuntu3 [13.6kB]
    Get:7 http://us.archive.ubuntu.com feisty-updates/main tzdata 2007e-0ubuntu0.7.04 [314kB]
    Get:8 http://us.archive.ubuntu.com feisty/main update-manager-core 1:0.59.20 [25.8kB]
    Fetched 5472kB in 1m12s (75.1kB/s)
    (Reading database ... 14353 files and directories currently installed.)
    Preparing to replace python2.5 2.5.1~rc1-0ubuntu3 (using .../python2.5_2.5.1-0ubuntu1_i386.deb) ...
    Unpacking replacement python2.5 ...
    Preparing to replace python2.5-minimal 2.5.1~rc1-0ubuntu3 (using .../python2.5-minimal_2.5.1-0ubuntu1_i386.deb) ...
    Unpacking replacement python2.5-minimal ...
    Setting up python2.5-minimal (2.5.1-0ubuntu1) ...
    
    (Reading database ... 14353 files and directories currently installed.)
    Preparing to replace python 2.5.1~rc1-0ubuntu3 (using .../python_2.5.1-0ubuntu3_all.deb) ...
    Unpacking replacement python ...
    Preparing to replace python-minimal 2.5.1~rc1-0ubuntu3 (using .../python-minimal_2.5.1-0ubuntu3_all.deb) ...
    Unpacking replacement python-minimal ...
    Setting up python-minimal (2.5.1-0ubuntu3) ...
    (Reading database ... 14353 files and directories currently installed.)
    Preparing to replace tzdata 2007b-0ubuntu1 (using .../tzdata_2007e-0ubuntu0.7.04_all.deb) ...
    Unpacking replacement tzdata ...
    Setting up tzdata (2007e-0ubuntu0.7.04) ...
    Current default timezone: 'US/Central'.
    Local time is now:      Thu May 31 15:49:59 CDT 2007.
    Universal Time is now:  Thu May 31 20:49:59 UTC 2007.
    Run 'tzconfig' if you wish to change it.
    
    (Reading database ... 14359 files and directories currently installed.)
    Preparing to replace vim-tiny 1:7.0-164+1ubuntu7 (using .../vim-tiny_1%3a7.0-164+1ubuntu7.1_i386.deb) ...
    Unpacking replacement vim-tiny ...
    Preparing to replace vim-common 1:7.0-164+1ubuntu7 (using .../vim-common_1%3a7.0-164+1ubuntu7.1_i386.deb) ...
    Unpacking replacement vim-common ...
    Preparing to replace update-manager-core 1:0.59.19 (using .../update-manager-core_1%3a0.59.20_i386.deb) ...
    Unpacking replacement update-manager-core ...
    Setting up python2.5 (2.5.1-0ubuntu1) ...
    
    Setting up python (2.5.1-0ubuntu3) ...
    
    Setting up vim-common (7.0-164+1ubuntu7.1) ...
    
    Setting up vim-tiny (7.0-164+1ubuntu7.1) ...
    
    Setting up update-manager-core (0.59.20) ...
    
    root@server:~# rm -f /bin/sh
    root@server:~# ln -s /bin/bash /bin/sh
    root@server:~# [B]apt-get install binutils cpp fetchmail flex gcc libarchive-zip-perl libc6-dev libcompress-zlib-perl libdb4.3-dev libpcre3 libpopt-dev linux-kernel-headers lynx m4 make ncftp nmap openssl perl perl-modules unzip zip zlib1g-dev autoconf automake1.9 libtool bison autotools-dev g++[/B]
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Package linux-kernel-headers is a virtual package provided by:
      linux-libc-dev 2.6.20-16.28
    You should explicitly select one to install.
    E: Package linux-kernel-headers has no installation candidate
    root@server:~#
    
    Whats wrong?
     
    Last edited: Jun 1, 2007
  2. falko

    falko Super Moderator

    Maybe Ubuntu has made some changes in their repositories since I wrote the tutorial.

    What's in your /etc/apt/sources.list?

    But I think you can leave out the linux-kernel-headers package.
     
  3. Ripper

    Ripper New Member

    degree of certainty?

    i'm sitting on the same linux-kernel-headers error. i'm holding for a definitive response before i procede with an install of a critical server build. my sources file was commented to remove the cd, but i recognized .de sources where mine are .us. assuming that really didn't matter, i stuck with state-side sources. is ignoring this package really going to be ok?
     
  4. falko

    falko Super Moderator

    It doesn't matter. :)

    I think so.
     
  5. Ripper

    Ripper New Member

    Confidence

    I pushed forward with the install and discovered the linux-kernel-headers line was obsolete and covered by some of the other components. I removed it from the list of packages to install and everything is good. Thanks to Falko for speedy reply!
     

Share This Page